// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded server example script)')

ServerEvents.recipes(event => {
  // You can replace `event` with any name you like, as
  // long as you change it inside the callback too!

  // This part, inside the curly braces, is the callback.
  // You can modify as many recipes as you like in here,
  // without needing to use ServerEvents.recipes() again.   
  event.remove({ output: 'kibe:angel_ring' })
  console.log('Hello! The recipe event has fired!')

  event.shapeless(
    Item.of('tfmg:silicon_ingot', 1), // arg 1: output
    [
      '#c:silicon'
    ]
  )

  event.smelting('tfmg:aluminum_ingot', 'tfmg:bauxite_powder')


  event.remove({ output: 'biomeswevegone:white_sand' })
  event.remove({ output: 'biomeswevegone:black_sand' })
  event.shapeless(
    Item.of('biomeswevegone:white_sand', 8), // arg 1: output
    [
      '8x #c:sands',
      '#c:dyes/light_gray'
    ]
  )
  event.shapeless(
    Item.of('biomesoplenty:white_sand', 8), // arg 1: output
    [
      '8x #c:sands',
      '#c:dyes/white'
    ]
  )
  event.shapeless(
    Item.of('biomeswevegone:black_sand', 8), // arg 1: output
    [
      '8x #c:sands',
      '#c:dyes/gray'
    ]
  )
  event.shapeless(
    Item.of('biomesoplenty:black_sand', 8), // arg 1: output
    [
      '8x #c:sands',
      '#c:dyes/black'
    ]
  )
  event.shapeless(
    Item.of('biomesoplenty:orange_sand', 8), // arg 1: output
    [
      '8x #c:sands',
      '#c:dyes/orange'
    ]
  )
  event.shapeless(
    Item.of('biomeswevegone:blue_sand', 8), // arg 1: output
    [
      '8x #c:sands',
      '#c:dyes/light_blue'
    ]
  )
  event.shapeless(
    Item.of('biomeswevegone:purple_sand', 8), // arg 1: output
    [
      '8x #c:sands',
      '#c:dyes/purple'
    ]
  )
  event.shapeless(
    Item.of('biomeswevegone:pink_sand', 8), // arg 1: output
    [
      '8x #c:sands',
      '#c:dyes/pink'
    ]
  )
  event.shapeless(
    Item.of('biomeswevegone:windswept_sand', 8), // arg 1: output
    [
      '8x #c:sands',
      '#c:dyes/magenta'
    ]
  )
  event.shapeless(
    Item.of('atmospheric:arid_sand', 4), // arg 1: output
    [
      '4x #c:sands',
      '#c:dyes/yellow'
    ]
  )
  event.shapeless(
    Item.of('atmospheric:red_arid_sand', 4), // arg 1: output
    [
      '4x #c:sands',
      '#c:dyes/orange'
    ]
  )
  event.shapeless(
    Item.of('minecraft:sand', 1), // arg 1: output
    [
      '1x #c:sands'
    ]
  )
})